Aller au contenu principal

AWS Cloud Connectivity - Private Self Made - Mettre à jour (PATCH)

Cette page d?crit l'op?ration Mettre à jour (PATCH) de l'API AWS Cloud Connectivity. Utilisez un jeton JWT bearer valide.

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/privates/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Param?tres​

Param?treEmplacementObligatoireType / valeur par d?faut
idpathYesstring uuid
projectIdpathYesstring uuid

Corps de la requ?te​

Champ JSONObligatoireType / remarques
nameNostring: cloud connector name
stateNostring (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state
bandwidthNointeger int32: cloud connector bandwidth
maxBandwidthNointeger int32: cloud connector maximum bandwidth
technicalVpnIdNostring uuid: network connector uuid associated with the cloud connector
awsCredentialIdNostring uuid: aws credential uuid to be used to manage the cloud connector on aws
virtualInterfaceTypeNostring (privateVif, transitVif): cloud connector virtual interface type
locationNostring: cloud connector location
regionNostring: cloud connector region
customerGatewayIdNostring: customer gateway id
routingPolicyNostring (basicAggregate, defaultRoute, noAggregate): cloud connector routing policy

R?ponse​

R?ponse de succ?s : 200. ok Response schema: object.